use std::path::PathBuf;
use clap::{Args};
use manifest::Manifest;

#[derive(Args, Debug)]
pub struct Arguments {
    #[arg(default_value = ".")]
    directory: String
}

pub fn execute (_arguments: &Arguments) {
    let directory: PathBuf = PathBuf::from(_arguments.directory.clone());

    let manifest = Manifest::new(&directory);
    manifest.init();
}
