use std::fs;
use std::path::{PathBuf};

#[derive(Debug)]
pub struct Manifest {
    directory: PathBuf
}

impl Manifest {
    pub fn new(path: &PathBuf) -> Manifest {
        let mut directory: PathBuf = path.into();

        if path.is_file() {
            directory = path.parent()
                .map(|parent| parent.to_path_buf())
                .unwrap_or_else(|| path.into())
        }
        
        if let Err(_err) = fs::create_dir_all(&directory) {
            panic!("Failed to created directory: {:?}", &directory);
        }

        Manifest { directory: directory.canonicalize().unwrap() }
    }

   pub fn init(&self) -> bool {
        let directory: PathBuf = self.directory.clone();

        println!("init: {:?}", directory);

        true
    }
}
